# Module core::slice::memchr [−] [src]

🔬 This is a nightly-only experimental API. (`slice_internals`)

exposed from core to be reused in std; use the memchr crate

Pure rust memchr implementation, taken from rust-memchr

## Functions

memchr | [ Experimental ] Return the first index matching the byte `x` in `text`.
memrchr | [ Experimental ] Return the last index matching the byte `x` in `text`.

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
↑
  Move up in search results
↓
  Move down in search results
↹
  Switch tab
⏎
  Go to active search result
+ / -
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)